{
  "schema_version": "1.4.0",
  "id": "GHSA-x52x-v8xm-9r9j",
  "modified": "2022-05-13T01:07:25Z",
  "published": "2022-05-13T01:07:25Z",
  "aliases": [
    "CVE-2013-4852"
  ],
  "details": "Integer overflow in PuTTY 0.62 and earlier, WinSCP before 5.1.6, and other products that use PuTTY allows remote SSH servers to cause a denial of service (crash) and possibly execute arbitrary code in certain applications that use PuTTY via a negative size value in an RSA key signature during the SSH handshake, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2013-4852"
    },
    {
      "type": "WEB",
      "url": "http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=718779"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2013-08/msg00035.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2013-08/msg00041.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/54379"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/54517"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/54533"
    },
    {
      "type": "WEB",
      "url": "http://svn.tartarus.org/sgt?view=revision&sortby=date&revision=9896"
    },
    {
      "type": "WEB",
      "url": "http://winscp.net/tracker/show_bug.cgi?id=1017"
    },
    {
      "type": "WEB",
      "url": "http://www.chiark.greenend.org.uk/~sgtatham/putty/wishlist/vuln-signature-stringlen.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2013/dsa-2736"
    },
    {
      "type": "WEB",
      "url": "http://www.search-lab.hu/advisories/secadv-20130722"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2013-08-19T23:55:00Z"
  }
}